Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.convert
Class NodeConverterBase

    java.lang.Object
      com.tonbeller.wcf.convert.NodeConverterBase

All Implemented Interfaces:
  NodeConverter

Direct Known Subclasses:
  BooleanConverter, EditCtrlConverter, FileUploadConverter, SelectConverterBase

public abstract class NodeConverterBase
extends java.lang.Object
implements NodeConverter

Author:
  andreas

Constructor Summary
`NodeConverterBase()`

Method Summary
`void` | `checkRequired(java.util.Locale locale, org.w3c.dom.Element elem, boolean empty)` throws a format exception if the
`java.lang.String` | `getElementName()` Returns the elementName.
`void` | `setElementName(java.lang.String elementName)` Sets the elementName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.wcf.convert.NodeConverter
`convert, convert`

Constructor Detail

### NodeConverterBase

    public NodeConverterBase()

Method Detail

### getElementName

    public java.lang.String getElementName()

  Returns the elementName.

  Specified by:
    `getElementName` in interface `NodeConverter`
  Returns:
    String

### setElementName

    public void setElementName(java.lang.String elementName)

  Sets the elementName.

  Specified by:
    `setElementName` in interface `NodeConverter`
  Parameters:
    `elementName` - The elementName to set

### checkRequired

    public void checkRequired(java.util.Locale locale,
                              org.w3c.dom.Element elem,
                              boolean empty)

  throws a format exception if the

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD